#!/usr/bin/python

# This script is part of Emma project
#
# report_grace.py takes report in emma-internal-format
# and writes it in grace-format, so it can be for
# examples passed through a pipe to xmgrace and displayed
# onto the screen, like below:
# $ cat emma-report | report_grace.py | xmgrace -pipe 
#
# Grace homepage url:
# http://plasma-gate.weizmann.ac.il/Grace/

import string
import sys

#
# This part is responsible for reading input from Emma
#
sys.stdin.readline()

title = sys.stdin.readline()
title = title[:-1]

temp = string.split(sys.stdin.readline())
accounts_no = float(temp[0])
groups_no = float(temp[1])
del temp

accounts = []
for i in range(accounts_no):
    accounts.append(sys.stdin.readline())
    accounts[-1] = accounts[-1][:-1]

groups = []
for i in range(groups_no):
    groups.append(sys.stdin.readline())
    groups[-1] = groups[-1][:-1]

values = []
for i in range(accounts_no):
    values.append(map(float, string.split(sys.stdin.readline())))

#
# Actual conversation with grace takes place below
#
print """
# Grace project file
#
# Data prepared by Emma

"""

print """
@g0 on
@g0 hidden false
@g0 type xy
"""

print '# ---------------------------------- TITLE'
print '@title "%s"' % title

print """
# ---------------------------------- XAXIS
@xaxis  on
@xaxis  tick on
@xaxis  tick major 1
@xaxis  tick minor ticks 0
@xaxis  tick spec type both
"""

print '@xaxis  tick spec %d' % groups_no
for grp in range(groups_no):
    print '@ xaxis  tick major %d, %d' % (grp, grp)
    print '@ xaxis  ticklabel %d, "%s"' % (grp, groups[grp])

print """
# ---------------------------------- YAXIS
@yaxis  on
"""

for acc in range(accounts_no):
    print '# ---------------------------------- S%d' % acc
    print '@s%d legend "%s"' % (acc, accounts[acc])
    print '@s%d type xy' % acc
    print '@target g0.s%d' % acc
    for grp in range(groups_no):
        print '\t%d\t%.2f' % (grp, values[acc][grp])
    print '&'

